ActiveMQSessionExecutor (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQSessionExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQSessionExecutor

    java.lang.Object
      org.codehaus.activemq.ActiveMQSessionExecutor

All Implemented Interfaces:
  Runnable

class ActiveMQSessionExecutor
extends Object
implements Runnable

A utility class used by the Sessionfor dispatching messages asycnronously to consumers

Version:
  $Revision: 1.3 $
See Also:
  `Session`

Constructor Summary
`(package private)` | `ActiveMQSessionExecutor(ActiveMQSession session, MemoryBoundedQueue queue)`

Method Summary
`(package private) void` | `clear()`
`protected void` | `clearMessagesInProgress()`
`(package private) void` | `close()`
`(package private) ActiveMQMessage` | `dequeueNoWait()`
`(package private) void` | `execute(ActiveMQMessage message)`
`(package private) void` | `executeFirst(ActiveMQMessage message)`
`void` | `run()` implementation of Runnable
`(package private) void` | `setDoDispatch(boolean value)`
`(package private) void` | `start()`
`(package private) void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQSessionExecutor

    ActiveMQSessionExecutor(ActiveMQSession session,
                            MemoryBoundedQueue queue)

Method Detail

### setDoDispatch

    void setDoDispatch(boolean value)

### execute

    void execute(ActiveMQMessage message)

### executeFirst

    void executeFirst(ActiveMQMessage message)

### run

    public void run()

  implementation of Runnable

  Specified by:
    `run` in interface `Runnable`

### start

    void start()

### stop

    void stop()

### close

    void close()

### clear

    void clear()

### dequeueNoWait

    ActiveMQMessage dequeueNoWait()

### clearMessagesInProgress

    protected void clearMessagesInProgress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.